import { createDateRange } from '@/utils/common'
export function useDate() {
  // 快速选择日期
  const shortcuts = [
    {
      text: '上一周',
      value: () => createDateRange(7),
    },
    {
      text: '上个月',
      value: () => createDateRange(30),
    },
    {
      text: '近三个月',
      value: () => createDateRange(90),
    },
  ]

  /**
   * @description: 禁止选取今天之后的日期
   * @param {*} date
   * @return {*}
   */
  const disableDate = (time: Date) => {
    return time.getTime() > Date.now()
  }

  return {
    shortcuts,
    disableDate,
  }
}
